%define url_ver	%(echo %{version} | tr '.' '_')

Name:		qstopmotion
Version:	2.5.2
Release:	%mkrel 4
Summary:	Creates stop-motion animation movies based on Qt5
License:	GPLv3+
Group:		Video/Utilities
URL:		https://www.qstopmotion.org/
Source0:	https://sourceforge.net/projects/qstopmotion/files/Version_%{url_ver}/%{name}-%{version}-Source.tar.gz
Patch0:		qstopmotion-2.3.1-fix-ApplicationDirectory.patch
Patch1:		qstopmotion-2.4.0-fix-build-against-qt-5.11.0.patch
Patch2:		qstopmotion-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Qwt6)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libv4l2)

%description
qStopMotion is an application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive and export the animation to different video
formats such as mpeg or avi.

%prep
%autosetup -p1 -n %{name}-%{version}-Source

# fix spurious-executable-perm
chmod 0644 Changes.txt README.txt

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS Changes.txt README.txt
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 2.5.2-4.mga10
+ Revision: 2233145
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Aug 09 2022 wally <wally> 2.5.2-3.mga9
+ Revision: 1876363
- rebuild for libqwt 6.2.0

* Wed Apr 06 2022 umeabot <umeabot> 2.5.2-2.mga9
+ Revision: 1845832
- Mageia 9 Mass Rebuild

* Mon Jan 18 2021 daviddavid <daviddavid> 2.5.2-1.mga8
+ Revision: 1672305
- new version: 2.5.2

* Thu Dec 17 2020 umeabot <umeabot> 2.5.0-2.mga8
+ Revision: 1659553
- Rebuild for new Qt5

* Wed Jul 15 2020 daviddavid <daviddavid> 2.5.0-1.mga8
+ Revision: 1606283
- new version: 2.5.0

* Sat Feb 15 2020 umeabot <umeabot> 2.4.1-3.mga8
+ Revision: 1525008
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 2.4.1-2.mga7
+ Revision: 1384274
- Qt5 Rebuild

* Sun Jan 06 2019 daviddavid <daviddavid> 2.4.1-1.mga7
+ Revision: 1350020
- new version: 2.4.1
- use debian patch to fix build on aarch64

* Sun Sep 23 2018 umeabot <umeabot> 2.4.0-4.mga7
+ Revision: 1300680
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 wally <wally> 2.4.0-3.mga7
+ Revision: 1245372
- add patch to fix build on aarch64

* Sun Jun 03 2018 daviddavid <daviddavid> 2.4.0-2.mga7
+ Revision: 1234280
- add patch to fix build with new Qt5 >= 5.11.0

* Wed Apr 18 2018 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1219779
- new version: 2.4.0
- new BR on pkgconfig(Qt5Qwt6)

* Fri Mar 10 2017 akien <akien> 2.3.2-2.mga6
+ Revision: 1091633
- Rebuild for v4l-utils 1.12.3

* Fri Nov 25 2016 daviddavid <daviddavid> 2.3.2-1.mga6
+ Revision: 1070111
- new version: 2.3.2
- rename and rediff cmakelists patch

* Wed Aug 10 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1045282
- initial package qstopmotion

